Package org.eclipse.lemminx.commons.snippets

## Interface ISnippetContext<T>

Type Parameters:
  `T` - the value type waited by the snippet context.

All Known Subinterfaces:
  `IXMLSnippetContext`

All Known Implementing Classes:
  `CDATASnippetContext`, `CommentSnippetContext`, `DocTypeSnippetContext`, `DTDNodeSnippetContext`, `NewFileSnippetContext`, `ProcessingInstructionSnippetContext`, `XMLDeclarationSnippetContext`

    public interface ISnippetContext<T>

Snippet context used to filter the snippet.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isMatch​(T value, Map<String,​String> model)` Return true if the given value match the snippet context and false otherwise.

### Method Detail

#### isMatch

    boolean isMatch​(T value,
                    Map<String,​String> model)

Return true if the given value match the snippet context and false otherwise.

Parameters:
  `value` - the value to check.
Returns:
  true if the given value match the snippet context and false otherwise.